Index: src/tesselation.cpp
===================================================================
--- src/tesselation.cpp	(revision 7ee87fc14c8174aaa7e562acd4b38bbed5239316)
+++ src/tesselation.cpp	(revision 58ed4a7c2bc8ff58164d0438ee813b30de7a34da)
@@ -55,5 +55,5 @@
   //Log() << Verbose(0) << "Erasing point nr. " << Nr << "." << endl;
   if (!lines.empty())
-    eLog() << Verbose(2) << "Memory Leak! I " << *this << " am still connected to some lines." << endl;
+    DoeLog(2) && (eLog()<< Verbose(2) << "Memory Leak! I " << *this << " am still connected to some lines." << endl);
   node = NULL;
 };
@@ -188,5 +188,5 @@
   }
   if (!triangles.empty())
-    eLog() << Verbose(2) << "Memory Leak! I " << *this << " am still connected to some triangles." << endl;
+    DoeLog(2) && (eLog()<< Verbose(2) << "Memory Leak! I " << *this << " am still connected to some triangles." << endl);
 };
 
@@ -226,5 +226,5 @@
   // get the two triangles
   if (triangles.size() != 2) {
-    eLog() << Verbose(0) << "Baseline " << *this << " is connected to less than two triangles, Tesselation incomplete!" << endl;
+    DoeLog(0) && (eLog()<< Verbose(0) << "Baseline " << *this << " is connected to less than two triangles, Tesselation incomplete!" << endl);
     return true;
   }
@@ -252,5 +252,5 @@
       BaseLineNormal.CopyVector(&runner->second->NormalVector);   // yes, copy second on top of first
     else {
-      eLog() << Verbose(0) << "Triangle " << *runner->second << " has zero normal vector!" << endl;
+      DoeLog(0) && (eLog()<< Verbose(0) << "Triangle " << *runner->second << " has zero normal vector!" << endl);
     }
     node = runner->second->GetThirdEndpoint(this);
@@ -263,5 +263,5 @@
       i++;
     } else {
-      eLog() << Verbose(1) << "I cannot find third node in triangle, something's wrong." << endl;
+      DoeLog(1) && (eLog()<< Verbose(1) << "I cannot find third node in triangle, something's wrong." << endl);
       return true;
     }
@@ -368,5 +368,5 @@
   }
   if (Counter < 3) {
-    eLog() << Verbose(0) << "We have a triangle with only two distinct endpoints!" << endl;
+    DoeLog(0) && (eLog()<< Verbose(0) << "We have a triangle with only two distinct endpoints!" << endl);
     performCriticalExit();
   }
@@ -430,5 +430,5 @@
 
   if (!Intersection->GetIntersectionWithPlane(&NormalVector, endpoints[0]->node->node, MolCenter, x)) {
-    eLog() << Verbose(1) << "Alas! Intersection with plane failed - at least numerically - the intersection is not on the plane!" << endl;
+    DoeLog(1) && (eLog()<< Verbose(1) << "Alas! Intersection with plane failed - at least numerically - the intersection is not on the plane!" << endl);
     return false;
   }
@@ -726,5 +726,5 @@
       Runner[i]++;
       if (Runner[i] == endpoints.end()) {
-        eLog() << Verbose(0) << "There are less than three endpoints in the polygon!" << endl;
+        DoeLog(0) && (eLog()<< Verbose(0) << "There are less than three endpoints in the polygon!" << endl);
         performCriticalExit();
       }
@@ -1072,5 +1072,5 @@
       runner->second = NULL;
     } else
-      eLog() << Verbose(1) << "The triangle " << runner->first << " has already been free'd." << endl;
+      DoeLog(1) && (eLog()<< Verbose(1) << "The triangle " << runner->first << " has already been free'd." << endl);
   }
   Log() << Verbose(0) << "This envelope was written to file " << TriangleFilesWritten << " times(s)." << endl;
@@ -1325,5 +1325,5 @@
   else
     {
-      eLog() << Verbose(0) << "No starting triangle found." << endl;
+      DoeLog(0) && (eLog()<< Verbose(0) << "No starting triangle found." << endl);
     }
 }
@@ -1524,5 +1524,5 @@
           TrianglesOnBoundaryCount++;
         } else {
-          eLog() << Verbose(2) << "I could not determine a winner for this baseline " << *(baseline->second) << "." << endl;
+          DoeLog(2) && (eLog()<< Verbose(2) << "I could not determine a winner for this baseline " << *(baseline->second) << "." << endl);
         }
 
@@ -1617,5 +1617,5 @@
             if (NewLines[j]->IsConnectedTo(BLS[0])) {
               if (n>2) {
-                eLog() << Verbose(2) << BLS[0] << " connects to all of the new lines?!" << endl;
+                DoeLog(2) && (eLog()<< Verbose(2) << BLS[0] << " connects to all of the new lines?!" << endl);
                 return false;
               } else
@@ -1634,5 +1634,5 @@
       }
     } else { // something is wrong with FindClosestTriangleToPoint!
-      eLog() << Verbose(1) << "The closest triangle did not produce an intersection!" << endl;
+      DoeLog(1) && (eLog()<< Verbose(1) << "The closest triangle did not produce an intersection!" << endl);
       return false;
     }
@@ -1737,5 +1737,5 @@
           OpenLines.erase(CandidateLine);
         } else {
-          eLog() << Verbose(1) << "Line exists and is attached to less than two triangles, but not in OpenLines!" << endl;
+          DoeLog(1) && (eLog()<< Verbose(1) << "Line exists and is attached to less than two triangles, but not in OpenLines!" << endl);
         }
 
@@ -1843,5 +1843,5 @@
       triangle->lines[i] = NULL;  // free'd or not: disconnect
     } else
-      eLog() << Verbose(1) << "This line " << i << " has already been free'd." << endl;
+      DoeLog(1) && (eLog()<< Verbose(1) << "This line " << i << " has already been free'd." << endl);
   }
 
@@ -1897,8 +1897,8 @@
       line->endpoints[i] = NULL;  // free'd or not: disconnect
     } else
-      eLog() << Verbose(1) << "Endpoint " << i << " has already been free'd." << endl;
+      DoeLog(1) && (eLog()<< Verbose(1) << "Endpoint " << i << " has already been free'd." << endl);
   }
   if (!line->triangles.empty())
-    eLog() << Verbose(2) << "Memory Leak! I " << *line << " am still connected to some triangles." << endl;
+    DoeLog(2) && (eLog()<< Verbose(2) << "Memory Leak! I " << *line << " am still connected to some triangles." << endl);
 
   if (LinesOnBoundary.erase(line->Nr))
@@ -2073,5 +2073,5 @@
           }
         } else {
-          eLog() << Verbose(1) << "The current cell " << LC->n[0] << "," << LC->n[1] << "," << LC->n[2] << " is invalid!" << endl;
+          DoeLog(1) && (eLog()<< Verbose(1) << "The current cell " << LC->n[0] << "," << LC->n[1] << "," << LC->n[2] << " is invalid!" << endl);
         }
       }
@@ -2217,5 +2217,5 @@
 //            if (fabs(OldSphereCenter.ScalarProduct(&SearchDirection)) > HULLEPSILON) {
 //              // rotated the wrong way!
-//              eLog() << Verbose(1) << "SearchDirection and RelativeOldSphereCenter are still not orthogonal!" << endl;
+//              DoeLog(1) && (eLog()<< Verbose(1) << "SearchDirection and RelativeOldSphereCenter are still not orthogonal!" << endl);
 //            }
 //
@@ -2274,5 +2274,5 @@
 //          }
 //        } else {
-//          eLog() << Verbose(2) << "Baseline is connected to two triangles already?" << endl;
+//          DoeLog(2) && (eLog()<< Verbose(2) << "Baseline is connected to two triangles already?" << endl);
 //        }
 //      } else {
@@ -2281,5 +2281,5 @@
 //    }
 //  } else {
-//    eLog() << Verbose(1) << "Could not find the TesselPoint " << *ThirdNode << "." << endl;
+//    DoeLog(1) && (eLog()<< Verbose(1) << "Could not find the TesselPoint " << *ThirdNode << "." << endl);
 //  }
 //
@@ -2347,5 +2347,5 @@
     if (fabs(RelativeSphereCenter.ScalarProduct(&SearchDirection)) > HULLEPSILON) {
       // rotated the wrong way!
-      eLog() << Verbose(1) << "SearchDirection and RelativeOldSphereCenter are still not orthogonal!" << endl;
+      DoeLog(1) && (eLog()<< Verbose(1) << "SearchDirection and RelativeOldSphereCenter are still not orthogonal!" << endl);
     }
 
@@ -2358,5 +2358,5 @@
 
   if (CandidateLine.pointlist.empty()) {
-    eLog() << Verbose(2) << "Could not find a suitable candidate." << endl;
+    DoeLog(2) && (eLog()<< Verbose(2) << "Could not find a suitable candidate." << endl);
     return false;
   }
@@ -2400,5 +2400,5 @@
 //          CandidateLine.ShortestAngle = ShortestAngle;
 //        } else {
-////          eLog() << Verbose(1) << "This triangle consisting of ";
+////          DoeLog(1) && (eLog()<< Verbose(1) << "This triangle consisting of ");
 ////          Log() << Verbose(0) << *(*it)->point << ", ";
 ////          Log() << Verbose(0) << *BaseRay->endpoints[0]->node << " and ";
@@ -2421,5 +2421,5 @@
 //
 //          } else {
-////            eLog() << Verbose(1) << "This triangle consisting of " << *(*it)->point << ", " << *BaseRay->endpoints[0]->node << " and " << *BaseRay->endpoints[1]->node << " " << "exists and is not added, as it does not seem helpful!" << endl;
+////            DoeLog(1) && (eLog()<< Verbose(1) << "This triangle consisting of " << *(*it)->point << ", " << *BaseRay->endpoints[0]->node << " and " << *BaseRay->endpoints[1]->node << " " << "exists and is not added, as it does not seem helpful!" << endl);
 //            result = false;
 //          }
@@ -2437,5 +2437,5 @@
 //    BaseRay = BLS[0];
 //    if ((BTS != NULL) && (BTS->NormalVector.NormSquared() < MYEPSILON)) {
-//      eLog() << Verbose(1) << "Triangle " << *BTS << " has zero normal vector!" << endl;
+//      DoeLog(1) && (eLog()<< Verbose(1) << "Triangle " << *BTS << " has zero normal vector!" << endl);
 //      exit(255);
 //    }
@@ -2635,5 +2635,5 @@
     BaseLineNormal.Zero();
     if (Base->triangles.size() < 2) {
-      eLog() << Verbose(1) << "Less than two triangles are attached to this baseline!" << endl;
+      DoeLog(1) && (eLog()<< Verbose(1) << "Less than two triangles are attached to this baseline!" << endl);
       return 0.;
     }
@@ -2674,5 +2674,5 @@
   BaseLineNormal.Zero();
   if (Base->triangles.size() < 2) {
-    eLog() << Verbose(1) << "Less than two triangles are attached to this baseline!" << endl;
+    DoeLog(1) && (eLog()<< Verbose(1) << "Less than two triangles are attached to this baseline!" << endl);
     return NULL;
   }
@@ -2710,15 +2710,15 @@
   // check whether everything is in place to create new lines and triangles
   if (i<4) {
-    eLog() << Verbose(1) << "We have not gathered enough baselines!" << endl;
+    DoeLog(1) && (eLog()<< Verbose(1) << "We have not gathered enough baselines!" << endl);
     return NULL;
   }
   for (int j=0;j<4;j++)
     if (OldLines[j] == NULL) {
-      eLog() << Verbose(1) << "We have not gathered enough baselines!" << endl;
+      DoeLog(1) && (eLog()<< Verbose(1) << "We have not gathered enough baselines!" << endl);
       return NULL;
     }
   for (int j=0;j<2;j++)
     if (OldPoints[j] == NULL) {
-      eLog() << Verbose(1) << "We have not gathered enough endpoints!" << endl;
+      DoeLog(1) && (eLog()<< Verbose(1) << "We have not gathered enough endpoints!" << endl);
       return NULL;
     }
@@ -2764,5 +2764,5 @@
     Log() << Verbose(0) << "INFO: Created new triangle " << *BTS << "." << endl;
   } else {
-    eLog() << Verbose(0) << "The four old lines do not connect, something's utterly wrong here!" << endl;
+    DoeLog(0) && (eLog()<< Verbose(0) << "The four old lines do not connect, something's utterly wrong here!" << endl);
     return NULL;
   }
@@ -2795,5 +2795,5 @@
       N[i] = LC->n[i];
   } else {
-    eLog() << Verbose(1) << "Point " << *a << " is not found in cell " << LC->index << "." << endl;
+    DoeLog(1) && (eLog()<< Verbose(1) << "Point " << *a << " is not found in cell " << LC->index << "." << endl);
     return;
   }
@@ -2935,5 +2935,5 @@
     // test whether old center is on the band's plane
     if (fabs(RelativeOldSphereCenter.ScalarProduct(&CirclePlaneNormal)) > HULLEPSILON) {
-      eLog() << Verbose(1) << "Something's very wrong here: RelativeOldSphereCenter is not on the band's plane as desired by " << fabs(RelativeOldSphereCenter.ScalarProduct(&CirclePlaneNormal)) << "!" << endl;
+      DoeLog(1) && (eLog()<< Verbose(1) << "Something's very wrong here: RelativeOldSphereCenter is not on the band's plane as desired by " << fabs(RelativeOldSphereCenter.ScalarProduct(&CirclePlaneNormal)) << "!" << endl);
       RelativeOldSphereCenter.ProjectOntoPlane(&CirclePlaneNormal);
     }
@@ -2945,5 +2945,5 @@
       Log() << Verbose(1) << "INFO: SearchDirection is " << SearchDirection << "." << endl;
       if (fabs(RelativeOldSphereCenter.ScalarProduct(&SearchDirection)) > HULLEPSILON) {  // rotated the wrong way!
-        eLog() << Verbose(1) << "SearchDirection and RelativeOldSphereCenter are not orthogonal!" << endl;
+        DoeLog(1) && (eLog()<< Verbose(1) << "SearchDirection and RelativeOldSphereCenter are not orthogonal!" << endl);
       }
 
@@ -2954,5 +2954,5 @@
         //Log() << Verbose(1) << "INFO: Center cell is " << N[0] << ", " << N[1] << ", " << N[2] << " with No. " << LC->index << "." << endl;
       } else {
-        eLog() << Verbose(1) << "Vector " << CircleCenter << " is outside of LinkedCell's bounding box." << endl;
+        DoeLog(1) && (eLog()<< Verbose(1) << "Vector " << CircleCenter << " is outside of LinkedCell's bounding box." << endl);
         return;
       }
@@ -2993,5 +2993,5 @@
                       otherradius = CandidateLine.BaseLine->endpoints[1]->node->node->DistanceSquared(&NewPlaneCenter);
                       if (fabs(radius - otherradius) > HULLEPSILON) {
-                        eLog() << Verbose(1) << "Distance to center of circumcircle is not the same from each corner of the triangle: " << fabs(radius-otherradius) << endl;
+                        DoeLog(1) && (eLog()<< Verbose(1) << "Distance to center of circumcircle is not the same from each corner of the triangle: " << fabs(radius-otherradius) << endl);
                       }
                       // construct both new centers
@@ -3060,5 +3060,5 @@
           }
     } else {
-      eLog() << Verbose(1) << "The projected center of the old sphere has radius " << radius << " instead of " << CircleRadius << "." << endl;
+      DoeLog(1) && (eLog()<< Verbose(1) << "The projected center of the old sphere has radius " << radius << " instead of " << CircleRadius << "." << endl);
     }
   } else {
@@ -3119,5 +3119,5 @@
 
   if (LinesOnBoundary.empty()) {
-    eLog() << Verbose(1) << "There is no tesselation structure to compare the point with, please create one first." << endl;
+    DoeLog(1) && (eLog()<< Verbose(1) << "There is no tesselation structure to compare the point with, please create one first." << endl);
     return NULL;
   }
@@ -3146,5 +3146,5 @@
           }
         } else {
-          eLog() << Verbose(1) << "The current cell " << LC->n[0] << "," << LC->n[1] << "," << LC->n[2] << " is invalid!" << endl;
+          DoeLog(1) && (eLog()<< Verbose(1) << "The current cell " << LC->n[0] << "," << LC->n[1] << "," << LC->n[2] << " is invalid!" << endl);
         }
       }
@@ -3152,5 +3152,5 @@
   // check whether we found some points
   if (points->empty()) {
-    eLog() << Verbose(1) << "There is no nearest point: too far away from the surface." << endl;
+    DoeLog(1) && (eLog()<< Verbose(1) << "There is no nearest point: too far away from the surface." << endl);
     delete(points);
     return NULL;
@@ -3171,5 +3171,5 @@
   DistanceToPointMap * points = FindClosestBoundaryPointsToVector(x,LC);
   if (points == NULL) {
-    eLog() << Verbose(1) << "There is no nearest point: too far away from the surface." << endl;
+    DoeLog(1) && (eLog()<< Verbose(1) << "There is no nearest point: too far away from the surface." << endl);
     return NULL;
   }
@@ -3237,5 +3237,5 @@
 	DistanceToPointMap * points = FindClosestBoundaryPointsToVector(x,LC);
   if (points == NULL) {
-    eLog() << Verbose(1) << "There is no nearest point: too far away from the surface." << endl;
+    DoeLog(1) && (eLog()<< Verbose(1) << "There is no nearest point: too far away from the surface." << endl);
     return NULL;
   }
@@ -3286,5 +3286,5 @@
         const double distance = BaseLineIntersection.NormSquared();
         if (Center.NormSquared() > BaseLine.NormSquared()) {
-          eLog() << Verbose(0) << "Algorithmic error: In second case we have intersection outside of baseline!" << endl;
+          DoeLog(0) && (eLog()<< Verbose(0) << "Algorithmic error: In second case we have intersection outside of baseline!" << endl);
         }
         if ((ClosestLines.empty()) || (distance < MinDistance)) {
@@ -3485,5 +3485,5 @@
     ReferencePoint = PointRunner->second;
   } else {
-    eLog() << Verbose(2) << "GetAllConnectedPoints() could not find the BoundaryPoint belonging to " << *Point << "." << endl;
+    DoeLog(2) && (eLog()<< Verbose(2) << "GetAllConnectedPoints() could not find the BoundaryPoint belonging to " << *Point << "." << endl);
     ReferencePoint = NULL;
   }
@@ -3517,5 +3517,5 @@
 
   if (connectedPoints->empty()) { // if have not found any points
-    eLog() << Verbose(1) << "We have not found any connected points to " << *Point<< "." << endl;
+    DoeLog(1) && (eLog()<< Verbose(1) << "We have not found any connected points to " << *Point<< "." << endl);
     return NULL;
   }
@@ -3550,5 +3550,5 @@
 
   if (SetOfNeighbours == NULL) {
-    eLog() << Verbose(2) << "Could not find any connected points!" << endl;
+    DoeLog(2) && (eLog()<< Verbose(2) << "Could not find any connected points!" << endl);
     delete(connectedCircle);
     return NULL;
@@ -3561,5 +3561,5 @@
       PlaneNormal.AddVector(&(*Runner)->NormalVector);
   } else {
-    eLog() << Verbose(0) << "Could not find any triangles for point " << *Point << "." << endl;
+    DoeLog(0) && (eLog()<< Verbose(0) << "Could not find any triangles for point " << *Point << "." << endl);
     performCriticalExit();
   }
@@ -3580,5 +3580,5 @@
     AngleZero.ProjectOntoPlane(&PlaneNormal);
     if (AngleZero.NormSquared() < MYEPSILON) {
-      eLog() << Verbose(0) << "CRITIAL: AngleZero is 0 even with alternative reference. The algorithm has to be changed here!" << endl;
+      DoeLog(0) && (eLog()<< Verbose(0) << "CRITIAL: AngleZero is 0 even with alternative reference. The algorithm has to be changed here!" << endl);
       performCriticalExit();
     }
@@ -3631,5 +3631,5 @@
 
   if (SetOfNeighbours == NULL) {
-    eLog() << Verbose(2) << "Could not find any connected points!" << endl;
+    DoeLog(2) && (eLog()<< Verbose(2) << "Could not find any connected points!" << endl);
     delete(connectedCircle);
     return NULL;
@@ -3685,5 +3685,5 @@
     AngleZero.ProjectOntoPlane(&PlaneNormal);
     if (AngleZero.NormSquared() < MYEPSILON) {
-      eLog() << Verbose(0) << "CRITIAL: AngleZero is 0 even with alternative reference. The algorithm has to be changed here!" << endl;
+      DoeLog(0) && (eLog()<< Verbose(0) << "CRITIAL: AngleZero is 0 even with alternative reference. The algorithm has to be changed here!" << endl);
       performCriticalExit();
     }
@@ -3708,5 +3708,5 @@
     InserterTest = anglesOfPoints.insert(pair<double, TesselPoint*>(angle, (*listRunner)));
     if (!InserterTest.second) {
-      eLog() << Verbose(0) << "GetCircleOfSetOfPoints() got two atoms with same angle: " << *((InserterTest.first)->second) << " and " << (*listRunner) << endl;
+      DoeLog(0) && (eLog()<< Verbose(0) << "GetCircleOfSetOfPoints() got two atoms with same angle: " << *((InserterTest.first)->second) << " and " << (*listRunner) << endl);
       performCriticalExit();
     }
@@ -3748,5 +3748,5 @@
     ReferencePoint = PointRunner->second;
   } else {
-    eLog() << Verbose(1) << "GetPathOfConnectedPoints() could not find the BoundaryPoint belonging to " << *Point << "." << endl;
+    DoeLog(1) && (eLog()<< Verbose(1) << "GetPathOfConnectedPoints() could not find the BoundaryPoint belonging to " << *Point << "." << endl);
     return NULL;
   }
@@ -3765,5 +3765,5 @@
       LineRunner = TouchedLine.find(runner->second);
       if (LineRunner == TouchedLine.end()) {
-        eLog() << Verbose(1) << "I could not find " << *runner->second << " in the touched list." << endl;
+        DoeLog(1) && (eLog()<< Verbose(1) << "I could not find " << *runner->second << " in the touched list." << endl);
       } else if (!LineRunner->second) {
         LineRunner->second = true;
@@ -3795,5 +3795,5 @@
                 }
               } else {
-                eLog() << Verbose(1) << "I could not find " << *triangle << " in the touched list." << endl;
+                DoeLog(1) && (eLog()<< Verbose(1) << "I could not find " << *triangle << " in the touched list." << endl);
                 triangle = NULL;
               }
@@ -3812,5 +3812,5 @@
           LineRunner = TouchedLine.find(CurrentLine);
           if (LineRunner == TouchedLine.end())
-            eLog() << Verbose(1) << "I could not find " << *CurrentLine << " in the touched list." << endl;
+            DoeLog(1) && (eLog()<< Verbose(1) << "I could not find " << *CurrentLine << " in the touched list." << endl);
           else
             LineRunner->second = true;
@@ -3830,5 +3830,5 @@
     }
   } else {
-    eLog() << Verbose(1) << "There are no lines attached to " << *ReferencePoint << "." << endl;
+    DoeLog(1) && (eLog()<< Verbose(1) << "There are no lines attached to " << *ReferencePoint << "." << endl);
   }
 
@@ -3910,5 +3910,5 @@
 
   if (Point == NULL) {
-    eLog() << Verbose(1) << "Point given is NULL." << endl;
+    DoeLog(1) && (eLog()<< Verbose(1) << "Point given is NULL." << endl);
   } else {
     // go through its lines and insert all triangles
@@ -3942,5 +3942,5 @@
 
   if (point == NULL) {
-    eLog() << Verbose(1) << "Cannot remove the point " << point << ", it's NULL!" << endl;
+    DoeLog(1) && (eLog()<< Verbose(1) << "Cannot remove the point " << point << ", it's NULL!" << endl);
     return 0.;
   } else
@@ -3952,5 +3952,5 @@
   // get list of connected points
   if (point->lines.empty()) {
-    eLog() << Verbose(1) << "Cannot remove the point " << *point << ", it's connected to no lines!" << endl;
+    DoeLog(1) && (eLog()<< Verbose(1) << "Cannot remove the point " << *point << ", it's connected to no lines!" << endl);
     return 0.;
   }
@@ -4033,5 +4033,5 @@
         MiddleNode = EndNode;
         if (MiddleNode == connectedPath->end()) {
-          eLog() << Verbose(0) << "CRITICAL: Could not find a smallest angle!" << endl;
+          DoeLog(0) && (eLog()<< Verbose(0) << "CRITICAL: Could not find a smallest angle!" << endl);
           performCriticalExit();
         }
@@ -4052,5 +4052,5 @@
         triangle = GetPresentTriangle(TriangleCandidates);
         if (triangle != NULL) {
-          eLog() << Verbose(0) << "New triangle already present, skipping!" << endl;
+          DoeLog(0) && (eLog()<< Verbose(0) << "New triangle already present, skipping!" << endl);
           StartNode++;
           MiddleNode++;
@@ -4090,5 +4090,5 @@
           break;
         } else if (connectedPath->size() < 2) { // something's gone wrong!
-          eLog() << Verbose(0) << "CRITICAL: There are only two endpoints left!" << endl;
+          DoeLog(0) && (eLog()<< Verbose(0) << "CRITICAL: There are only two endpoints left!" << endl);
           performCriticalExit();
         } else {
@@ -4243,5 +4243,5 @@
     }
     default:
-      eLog() << Verbose(0) << "Number of wildcards is greater than 3, cannot happen!" << endl;
+      DoeLog(0) && (eLog()<< Verbose(0) << "Number of wildcards is greater than 3, cannot happen!" << endl);
       performCriticalExit();
       break;
@@ -4296,5 +4296,5 @@
   // sanity check
   if (LinesOnBoundary.empty()) {
-    eLog() << Verbose(2) << "FindAllDegeneratedTriangles() was called without any tesselation structure.";
+    DoeLog(2) && (eLog()<< Verbose(2) << "FindAllDegeneratedTriangles() was called without any tesselation structure.");
     return DegeneratedLines;
   }
@@ -4320,5 +4320,5 @@
       Log() << Verbose(0) << *Line1->second << " => " << *Line2->second << endl;
     else
-      eLog() << Verbose(1) << "Either " << (*it).first << " or " << (*it).second << " are not in LinesOnBoundary!" << endl;
+      DoeLog(1) && (eLog()<< Verbose(1) << "Either " << (*it).first << " or " << (*it).second << " are not in LinesOnBoundary!" << endl);
   }
 
@@ -4480,5 +4480,5 @@
     NearestBoundaryPoint = PointRunner->second;
   } else {
-    eLog() << Verbose(1) << "I cannot find the boundary point." << endl;
+    DoeLog(1) && (eLog()<< Verbose(1) << "I cannot find the boundary point." << endl);
     return;
   }
@@ -4548,5 +4548,5 @@
     if ((BTS->lines[i]->ContainsBoundaryPoint(BestLine->endpoints[0])) && (BTS->lines[i]->ContainsBoundaryPoint(BestLine->endpoints[1]))) {
       if (BestLine == BTS->lines[i]){
-        eLog() << Verbose(0) << "BestLine is same as found line, something's wrong here!" << endl;
+        DoeLog(0) && (eLog()<< Verbose(0) << "BestLine is same as found line, something's wrong here!" << endl);
         performCriticalExit();
       }
@@ -4740,5 +4740,5 @@
     // connections to either polygon ...
     if (T->size() % 2 != 0) {
-      eLog() << Verbose(0) << " degenerated polygon contains an odd number of triangles, probably contains bridging non-degenerated ones, too!" << endl;
+      DoeLog(0) && (eLog()<< Verbose(0) << " degenerated polygon contains an odd number of triangles, probably contains bridging non-degenerated ones, too!" << endl);
       performCriticalExit();
     }
@@ -4775,5 +4775,5 @@
       AddTesselationLine(TPS[1], TPS[2], 2);
       if (TriangleNrs.empty())
-        eLog() << Verbose(0) << "No more free triangle numbers!" << endl;
+        DoeLog(0) && (eLog()<< Verbose(0) << "No more free triangle numbers!" << endl);
       BTS = new BoundaryTriangleSet(BLS, TriangleNrs.top()); // copy triangle ...
       AddTesselationTriangle(); // ... and add
@@ -4784,5 +4784,5 @@
     }
     if (!TriangleNrs.empty()) {
-      eLog() << Verbose(0) << "There have been less triangles created than removed!" << endl;
+      DoeLog(0) && (eLog()<< Verbose(0) << "There have been less triangles created than removed!" << endl);
     }
     delete(T);  // remove the triangleset
Index: src/tesselationhelpers.cpp
===================================================================
--- src/tesselationhelpers.cpp	(revision 7ee87fc14c8174aaa7e562acd4b38bbed5239316)
+++ src/tesselationhelpers.cpp	(revision 58ed4a7c2bc8ff58164d0438ee813b30de7a34da)
@@ -81,5 +81,5 @@
 
   if (fabs(m11) < MYEPSILON)
-    eLog() << Verbose(1) << "three points are colinear." << endl;
+    DoeLog(1) && (eLog()<< Verbose(1) << "three points are colinear." << endl);
 
   center->x[0] =  0.5 * m12/ m11;
@@ -88,5 +88,5 @@
 
   if (fabs(a.Distance(center) - RADIUS) > MYEPSILON)
-    eLog() << Verbose(1) << "The given center is further way by " << fabs(a.Distance(center) - RADIUS) << " from a than RADIUS." << endl;
+    DoeLog(1) && (eLog()<< Verbose(1) << "The given center is further way by " << fabs(a.Distance(center) - RADIUS) << " from a than RADIUS." << endl);
 
   gsl_matrix_free(A);
@@ -192,5 +192,5 @@
   //Log() << Verbose(1) << "INFO: alpha = " << alpha/M_PI*180. << ", beta = " << beta/M_PI*180. << ", gamma = " << gamma/M_PI*180. << "." << endl;
   if (fabs(M_PI - alpha - beta - gamma) > HULLEPSILON) {
-    eLog() << Verbose(1) << "GetCenterofCircumcircle: Sum of angles " << (alpha+beta+gamma)/M_PI*180. << " > 180 degrees by " << fabs(M_PI - alpha - beta - gamma)/M_PI*180. << "!" << endl;
+    DoeLog(1) && (eLog()<< Verbose(1) << "GetCenterofCircumcircle: Sum of angles " << (alpha+beta+gamma)/M_PI*180. << " > 180 degrees by " << fabs(M_PI - alpha - beta - gamma)/M_PI*180. << "!" << endl);
   }
 
@@ -236,5 +236,5 @@
   // test whether new center is on the parameter circle's plane
   if (fabs(helper.ScalarProduct(&CirclePlaneNormal)) > HULLEPSILON) {
-    eLog() << Verbose(1) << "Something's very wrong here: NewSphereCenter is not on the band's plane as desired by " <<fabs(helper.ScalarProduct(&CirclePlaneNormal))  << "!" << endl;
+    DoeLog(1) && (eLog()<< Verbose(1) << "Something's very wrong here: NewSphereCenter is not on the band's plane as desired by " <<fabs(helper.ScalarProduct(&CirclePlaneNormal))  << "!" << endl);
     helper.ProjectOntoPlane(&CirclePlaneNormal);
   }
@@ -242,5 +242,5 @@
   // test whether the new center vector has length of CircleRadius
   if (fabs(radius - CircleRadius) > HULLEPSILON)
-    eLog() << Verbose(1) << "The projected center of the new sphere has radius " << radius << " instead of " << CircleRadius << "." << endl;
+    DoeLog(1) && (eLog()<< Verbose(1) << "The projected center of the new sphere has radius " << radius << " instead of " << CircleRadius << "." << endl);
   alpha = helper.Angle(&RelativeOldSphereCenter);
   // make the angle unique by checking the halfplanes/search direction
@@ -512,5 +512,5 @@
 //  Vector BaseLineVector, OrthogonalVector, helper;
 //  if (candidate1->BaseLine != candidate2->BaseLine) {  // sanity check
-//    eLog() << Verbose(1) << "sortCandidates was called for two different baselines: " << candidate1->BaseLine << " and " << candidate2->BaseLine << "." << endl;
+//    DoeLog(1) && (eLog()<< Verbose(1) << "sortCandidates was called for two different baselines: " << candidate1->BaseLine << " and " << candidate2->BaseLine << "." << endl);
 //    //return false;
 //    exit(1);
@@ -764,5 +764,5 @@
     }
   } else {
-    eLog() << Verbose(1) << "Given vrmlfile is " << vrmlfile << "." << endl;
+    DoeLog(1) && (eLog()<< Verbose(1) << "Given vrmlfile is " << vrmlfile << "." << endl);
   }
   delete(center);
@@ -839,5 +839,5 @@
     *rasterfile << "9\n#  terminating special property\n";
   } else {
-    eLog() << Verbose(1) << "Given rasterfile is " << rasterfile << "." << endl;
+    DoeLog(1) && (eLog()<< Verbose(1) << "Given rasterfile is " << rasterfile << "." << endl);
   }
   IncludeSphereinRaster3D(rasterfile, Tess, cloud);
@@ -951,5 +951,5 @@
   // check number of endpoints in *P
   if (P->endpoints.size() != 4) {
-    eLog() << Verbose(1) << "CountTrianglePairContainingPolygon works only on polygons with 4 nodes!" << endl;
+    DoeLog(1) && (eLog()<< Verbose(1) << "CountTrianglePairContainingPolygon works only on polygons with 4 nodes!" << endl);
     return 0;
   }
@@ -957,5 +957,5 @@
   // check number of triangles in *T
   if (T->size() < 2) {
-    eLog() << Verbose(1) << "Not enough triangles to have pairs!" << endl;
+    DoeLog(1) && (eLog()<< Verbose(1) << "Not enough triangles to have pairs!" << endl);
     return 0;
   }
Index: src/triangleintersectionlist.cpp
===================================================================
--- src/triangleintersectionlist.cpp	(revision 7ee87fc14c8174aaa7e562acd4b38bbed5239316)
+++ src/triangleintersectionlist.cpp	(revision 58ed4a7c2bc8ff58164d0438ee813b30de7a34da)
@@ -119,5 +119,5 @@
   DistanceToPointMap * points = Tess->FindClosestBoundaryPointsToVector(Point,Vicinity);
   if (points == NULL) {
-    eLog() << Verbose(1) << "There is no nearest point: too far away from the surface." << endl;
+    DoeLog(1) && (eLog()<< Verbose(1) << "There is no nearest point: too far away from the surface." << endl);
     return;
   }
Index: src/unittests/logunittest.cpp
===================================================================
--- src/unittests/logunittest.cpp	(revision 7ee87fc14c8174aaa7e562acd4b38bbed5239316)
+++ src/unittests/logunittest.cpp	(revision 58ed4a7c2bc8ff58164d0438ee813b30de7a34da)
@@ -43,8 +43,8 @@
 
   Log() << Verbose(0) << "Output a log message." << endl;
-  eLog() << Verbose(0) << "Output an error message." << endl;
+  DoeLog(0) && (eLog()<< Verbose(0) << "Output an error message." << endl);
   setVerbosity(3);
   Log() << Verbose(4) << "This should not be printed." << endl;
-  eLog() << Verbose(4) << "This should not be printed." << endl;
+  DoeLog(4) && (eLog()<< Verbose(4) << "This should not be printed." << endl);
 };
 
